### Class

# Aravis DomNodeList

#### Description

    abstract class Aravis.DomNodeList : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- ArvDomNodeChildList

#### Instance methods

###### arv_dom_node_list_get_item

Get one of the item of `list`.

###### arv_dom_node_list_get_length

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AravisDomNodeListClass {
      GObjectClass parent_class;
      ArvDomNode* (* get_item) (
        ArvDomNodeList* list,
        unsigned int index
      );
      unsigned int (* get_length) (
        ArvDomNodeList* list
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get_item: ArvDomNode* (* get_item) ( ArvDomNodeList* list, unsigned int index )`

  No description available.

`get_length: unsigned int (* get_length) ( ArvDomNodeList* list )`

  No description available.

#### Virtual methods

###### Aravis.DomNodeListClass.get_item

Get one of the item of `list`.

###### Aravis.DomNodeListClass.get_length

No description available.